com.h3c.sdn.common

## Interface L2Path

- All Known Implementing Classes:
    L2PathDTO

      public interface L2Path

  Abstraction of a path between two control domain entities. The path is computed based on a chosen metric and typically has the lowest cost. The notion of cost is relative to the metric chosen.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `L2Path.Metric` Identifies the metric used in computing shortest paths.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `compares(L2Path newPath)`
    `L2Cost` | `cost()` Retrieves the cost of the path.
    `DataPathId` | `from()` Retrieves the datapathid associated to a source device of the L2 Path.
    `L2Path.Metric` | `metric()` Returns the type of metric used in computing shortest path.
    `List<Link>` | `path()` Returns the sequence of `links`, which comprise the path.
    `DataPathId` | `to()` Retrieves the datapathid associated to a destination device of the L2Path.

- - ### Method Detail

    - #### from

          DataPathId from()

      Retrieves the datapathid associated to a source device of the L2 Path.
      Returns:
        the dpid of the source

    - #### to

          DataPathId to()

      Retrieves the datapathid associated to a destination device of the L2Path.
      Returns:
        the dpid of the destination

    - #### path

          List<Link> path()

      Returns the sequence of `links`, which comprise the path.
      Returns:
        the list of links

    - #### metric

          L2Path.Metric metric()

      Returns the type of metric used in computing shortest path.
      Returns:
        the type of metric

    - #### cost

          L2Cost cost()

      Retrieves the cost of the path.
      Returns:
        the cost of the path

    - #### compares

          boolean compares(L2Path newPath)

Copyright © 2014. All Rights Reserved.